mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.ICloneable System.Runtime.Serialization.ISerializable Represents the details of an Operating System. Represents the details of an Operating System including
Platform ID
Version
- Constructor
  PlatformID for the newly created object.
  Version of the newly created object.
  Create a new object with the specified PlatformID and Version values.
  using System;

  class SystemDemo { public static void Main(string[] args) { OperatingSystem o=new OperatingSystem(PlatformID.Win32NT,new Version(5,1,2600,0)); Console.WriteLine(o); } }
  prints

  Microsoft Windows NT 5.1.2600.0

  1.0.5000.0
  2.0.0.0
- Method
  System.Object Creates a copy of this object. To be added: an object of type 'object' To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Property
  System.PlatformID Platform identifying this . To be added: an object of type 'PlatformID' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 2.0.0.0
- Method
  System.String To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Property
  System.Version Version of this . To be added: an object of type 'Version' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added. To be added. To be added. 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)